Modify either an FOP added in the current workbench session or a stored FOP on a booking.
Update Form Of Payment request payload.
Discriminator classes FormOfPaymentID, FormOfPaymentBSP, FormOfPaymentCash, FormOfPaymentCheck, FormOfPaymentDocument, FormOfPaymentFlightPass, FormOfPaymentForfeit, FormOfPaymentInvoice, FormOfPaymentPaymentCard, FormOfPaymentVirtualPaymentAccount, FormOfPaymentWaiverCode
Form of Payment reference ID. Send a custom identifier for this FOP. Supports up to 256 alphanumeric characters.
Send a custom identifier for this FOP. Supports up to 256 alphanumeric characters. Must be the same value sent in FormOfPaymentPayment[ID/Cash/Card/etc].id
A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination). When used for ticket Identifer
Key value pairs:
- value: Ticket number
- authority: Value Travelport
If true, this form of payment is the primary form of payment stored in the Reservation and will be used as the default payment unless alternate form of payment is referenced during the payment process.
Send with a value of true to indicate the payment is non-refundable; do not send if false.
If sent, the workbench commit and Reservation Retrieve responses return agentNonRefundableInd with a value of true.
Can send with FreeText object below to include a text description.
Not supported for ticketless carriers or NDC.
Optional object to send any free text description for agentNonRefundableInd. If sent, returned in the workbench commit and Reservation Retrieve responses.
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/payment/reservationworkbench/{ReservationResource_Identifier}/formofpayment/{Identifier}
- https://api.travelport.net/11https://api.travelport.net/11/air/payment/reservationworkbench/{ReservationResource_Identifier}/formofpayment/{Identifier}
curl -i -X PUT \
'https://api.pp.travelport.net/11/air/payment/reservationworkbench/{ReservationResource_Identifier}/formofpayment/{Identifier}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'{ "FormOfPaymentResponse": { "FormOfPayment": { "@type": "FormOfPaymentCash", "id": "string", "FormOfPaymentRef": "string", "Identifier": { … }, "activeInd": true }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }